import { PluginBase } from "@electron-forge/plugin-base";
import { ForgeHookMap, ResolvedForgeConfig } from "@electron-forge/shared-types";
export interface ResourcePluginConfig {
    env: string;
    path: string;
    build?: {
        command: string;
        sources?: string | string[] | {
            always: boolean;
        };
    };
    package?: {
        dirname?: string;
        copydir?: boolean;
    };
    verbose?: boolean;
}
export default class ResourcePlugin extends PluginBase<ResourcePluginConfig> {
    name: string;
    private impl;
    constructor(c: ResourcePluginConfig);
    init(dir: string, config: ResolvedForgeConfig): void;
    getHooks(): ForgeHookMap;
}
export { ResourcePlugin };
